#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'nonspk.info_non_spk'} ${nonSpk?.paket?.pkt_nama}
#{/set}

<div class="content">
    <ul class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">&{'nonspk.home'}</a></li>
        <li class="active">&{'nonspk.info_pencatatan_non_tender'}</li>
    </ul>
#{alert /}
    <table class="table table-sm">
        <input type="hidden" id="non-spk" value="${nonSpk?.lls_id}">
        <input type="hidden" id="comparison-uri" value="${play.mvc.Router.getFullUrl('sirup.SirupCtr.comparison').toString()}">
        <tr>
            <th width="25%" class="bgwarning">Kode Paket</th>
            <td><b>${nonSpk?.lls_id} </b>
                *{&nbsp;<a href="#" id="modal"><span class="badge  badge-secondary">Sinkronisasi RUP</span></a>
                <a href="@{admin.UtilityCtr.viewPDFNonSpk(nonSpk?.lls_id)}" class="badge  badge-secondary float-right">Summary
                    Paket</a>}*
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Nama Paket</th>
            <td>${nonSpk?.paket?.pkt_nama}&nbsp;<a href="@{nonSpk.NonSpkCtr.pengumumanNonSpk(nonSpk.lls_id)}" class="jpopup"><span class="badge  badge-secondary">Detil</span></a></td>
        </tr>
        <tr>
            <th class="bgwarning">Jenis Pengadaan</th>
            <td><strong>${kategori?.nama}</strong></td>
        </tr>
        <tr>
            <th class="bgwarning">Metode Pemilihan</th>
            <td><strong>${nonSpk?.pemilihan?.label}</strong></td>
        </tr>
         <tr>
            <th class="bgwarning">Bukti Pembayaran</th>
            <td><strong>${nonSpk?.buktiPembayaran?.label}</strong></td>
        </tr>
        <tr>
            <th class="bgwarning">Nilai Pagu</th>
            <td>
                ${nonSpk?.paket?.pkt_pagu?.rupiah()}
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Tanggal Mulai Paket</th>
            <td>
                ${nonSpk?.lls_tanggal_paket_mulai?.toDatetimepicker()}
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Tanggal Selesai Paket</th>
            <td>
                <div style="float: left;">
                    ${nonSpk?.lls_tanggal_paket_selesai?.toDatetimepicker()}
                </div>
                #{if !nonSpk?.paket?.pkt_status?.isDraft()}
                    <div style="float: left; padding-left: 10px;">
                        #{if jumlahPerubahanTanggal > 0}
                            <a class="dialog" title="History Perubahan Tanggal" href="@{nonSpk.NonSpkCtr.viewHistoryUbahTanggalNonSpk(nonSpk?.lls_id)}"><i>${jumlahPerubahanTanggal} kali perubahan</i></a>
                        #{/if}
                        #{else}
                            <i>&{'nonspk.belum_ada_perubahan'}</i>
                        #{/else}
                    </div>
                #{/if}
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Realisasi</th>
            <td>
                <table id="tblDokJenis" class="table table-sm table-bordered">
                    <thead>
                    <th width="30">&{'nonspk.no'}</th>
                    <th>&{'nonspk.jenis_realisasi'}</th>
                    <th>&{'nonspk.nilai_realisasi'}</th>
                    <th>&{'nonspk.tgl_realisasi'}</th>
                    </thead>
                #{list items:list_jenis_realisasi, as:'jenisRealisasi'}
                    <tr>
                        <td align="center">${jenisRealisasi_index}</td>
                        <td>
                            #{if jenisRealisasi.rsk_jenis == 7}
                                <a href="@{nonSpk.RealisasiNonSpkCtr.viewJenisRealisasi(nonSpk.lls_id, jenisRealisasi.rsk_id)}">
                                ${jenisRealisasi.rsk_nama_dok}
                                </a>
                            #{/if}
                            #{else}
                                <a href="@{nonSpk.RealisasiNonSpkCtr.viewJenisRealisasi(nonSpk.lls_id, jenisRealisasi.rsk_id)}">
                                ${models.nonlelang.nonSpk.JenisRealisasiNonSpk.JenisRealisasiNonSpkEnum.fromValue(jenisRealisasi.rsk_jenis).label}
                                </a>
                            #{/else}
                        </td>
                        <td>${jenisRealisasi?.rsk_nilai?.rupiah()}</td>
                        <td>${jenisRealisasi?.rsk_tanggal?.toDatepicker()}</td>
                       
                    </tr>
                #{/list}
                </table>

                <div class="card bg-light card-body mb-3 card bg-faded p-1 mb-3" style="float: right;"><strong>Total Nilai Realisasi : </strong>${totalNilaiRealisasi}</div>
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Uraian Pekerjaan</th>
            <td>${nonSpk?.lls_uraian_pekerjaan?.raw()}</td>
        </tr>
        *{<tr>
            <th class="bgwarning">Informasi Lainnya</th>
            <td>
            #{include 'nonSpk/realisasi/informasi-lainnya-non-spk.html' /}
            </td>
        </tr>}*
    </table>
    #{backButton action:@BerandaCtr.PpkNonTransaksional() /}
</div>


#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>

<script>
    $(document).ready(function () {
        $('#modal').click(function () {
            BootstrapDialog.show({
                size: BootstrapDialog.SIZE_NORMAL,
                title: "Form Sink RUP",
                message: '<div class="input-group col-lg-12">' +
                '<p>Masukan kode RUP pada form dibawah, hanya menirima angka.</p>' +
                '<input class="form-control " type="text" id="sirup-id" placeholder="Kode RUP">' +
                '</div>',
                buttons: [{
                    label: 'Bandingkan',
                    action: function (dialogRef) {
                        var input = dialogRef.getModalBody().find('input');
                        if ($.trim(input.val()) !== '' && $.isNumeric(input.val())) {
                            dialogRef.close();
                            window.location.href = $('#comparison-uri').val()
                                    + '?pid=' + $('#non-spk').val()
                                    + '&sid=' + input.val();
                        } else {
                            input.focus();
                        }
                    }
                }, {
                    label: 'Tutup',
                    action: function (dialogRef) {
                        dialogRef.close();
                    }
                }]
            })
        });

    });
</script>

#{/set}